Subject: Re: [PATCH net] bnx2x: really disable TPA if 'disable_tpa' option is set

From: Michal Schmidt <[email-masked]>
Date: Tue, 28 Apr 2015 11:05:03 +0200

On 04/27/2015 08:15 PM, Yuval Mintz wrote:
> I agree that this fixes an incorrect logic, but its incomplete as the bnx2x
> 'bp->flags' no longer represent the correct logic. I.e., it might cause
> additional issues down the road, as the 'fp->mode' and 'fp->disable_tpa'
> are no longer in sync.

> We already have a fix for this issue, we just haven't sent it to 'net'
> yet. Are you willing to give us an additional day to send an
> alternative fix?  Or do you prefer to take this, and possibly later
> we'll remove the logic added by this patch in our own?

Yuval,

I also have a patch that removes fp->disable_tpa by merging it into
fp->mode (adding a 3rd mode: TPA_MODE_DISABLED). And another patch that
removes {TPA,GRO}_ENABLE_FLAG by using dev->features everywhere.
I'll wait and see what changes you have.

Regards,
Michal